using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot(ElementName = "Transfer")]
    public class ExtToOuterRequest : INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("ext")]
        public ExtToOuterExtRequest Ext { get; set; }

        [XmlElement("outer")]
        public ExtToOuterOuterRequest Outer { get; set; }

        [XmlElement("trunk")]
        public ExtToOuterTrunkRequest Trunk { get; set; }
    }

    public class ExtToOuterExtRequest
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }


    public class ExtToOuterOuterRequest
    {
        [XmlAttribute("to")]
        public string To { get; set; }
    }

    public class ExtToOuterTrunkRequest
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

}
